/* ============================================= */
/* PROJECT PAGE STYLES - JINHONGLJH PORTFOLIO */
/* ============================================= */

/* ===== BANNER ===== */
.project-page .banner {
    height: 50vh;
    width: 100vw;
    overflow: hidden;
    padding: 0 3%;
    box-sizing: border-box;
}

.project-page .banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* ===== CONTENT ===== */
.project-content {
    max-width: 1200px;
    width: 100%;
    padding: 5% 3%;
    margin: 0 auto;
    box-sizing: border-box;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.5px;
    line-height: 1.6;
}

/* ===== NAME ===== */
.project-title {
    font-weight: 500;
    padding-bottom: 20px;
}

/* ===== DESCRIPTION ===== */
.project-description {
    font-weight: 350;
    padding-bottom: 30px;
}

/* ===== MEDIA IMAGE ===== */
.media-image {
    aspect-ratio: 2 / 3;
    overflow: hidden;
}

.media-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    display: block;
}

/* ===== MEDIA VIDEO VERTICAL ===== */
.media-video-vertical {
    width: 100%;
    aspect-ratio: 9 / 16 ;
}

.media-video-vertical video, .media-video-vertical iframe {
    height: 100%;
    width: 100%;
    display: block;
}

/* ===== MEDIA VIDEO LANDSCAPE ===== */
.media-video-landscape {
    width: 100%;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
    position: relative;
}

.media-video-landscape video, .media-video-landscape iframe {
    width: 100%;
    height: 100%;
    border: 0;
    position: absolute;
    top: 0;
    left: 0;
    margin: 0 auto;
    aspect-ratio: 16 / 9;
}

/* ===== MEDIA VERTICAL GRID ===== */
.media-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    width: 100%;
}

.media-grid.video-grid {
    padding-top: 10px;
}

@media (max-width: 1024px) {
    .media-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}